-- :

--  ,       
mission.model:addUnit("a10_pilot");
mission.model:addUnit("su25t_pilot");
mission.model:addUnit("ka50_pilot");
mission.model:addUnit("a10_pilot2");

--  ,       
mission.model:addGroup("papa_bear");
mission.model:addGroup("guardian");
mission.model:addGroup("us_ambush");
mission.model:addGroup("sam_1");
mission.model:addGroup("sam_2");
mission.model:addGroup("hitman");
mission.model:addGroup("rus_block");

--      :
-- (    ,       
-- DCS World         ))) )
mission.model:addPhase("papa_bear_movement", { 
	before = "Papa bear units are preparing to move on", 
	during = "Papa bear units are moving on airfield Babushara.",
	after = "Papa bear units have arrived on airfield Babushara.",
	task = "You have to provide clear way for Papa Bear." });
	
mission.model:addPhase("hitman_movement", { 
	before = "Hitman group on a way", 
	during = "Hitman group on a way",
	after = "Hitman group has arrived. Well done.",
	task = "You have to provide clear way for Hitman group." });
	
mission.model:addPhase("guardian", {
	before = "Guardian squad protects bridge near the Kvemo Merheuli",
	during = "Guardian squad are taking  fire form the Kvemo Merheuli",
	after = "Guardian squad has been destroyed.",
	task = "CAS for Guardian squad" });
	
mission.model:addPhase("suppres_sam_1", {
	before = "Enemy SAM spotted near Babushara airfield",
	during = "Enemy SAM spotted near Babushara airfield",
	after = "Enemy SAM has been destroyed near Babushara airfield",
	task = "SEAD near the Babushara." });
	
mission.model:addPhase("suppres_sam_2", {
	before = "Enemy SAM spotted near the Ochamchira",
	during = "Enemy SAM spotted near the Ochamchira",
	after = "Enemy SAM has been destroyed near the Ochamchira",
	task = "SEAD near the Ochamchira." });
	
mission.model:addPhase("babushara_defence", {
	before = "Expecting enemy convoy form Sukhumi.",
	during = "Enemy convoy is incoming form the west.",
	after = "Enemy convoy has been destroyed.",
	task = "Attack enemy convoy." });
	
--      Papa Bear 
function papa_bear_onInitEventHandler(sender, eventArgs)
	sender:holdOnForAWhile(120); --    2  (120 .)
end;

--      rus block
function rus_block_onInitEventHandler(sender, eventArgs)
	sender:setInvisible(true); --       (    )
end;

--    
mission.model.groups.papa_bear:addOnInitEventHandler(papa_bear_onInitEventHandler);
mission.model.groups.rus_block:addOnInitEventHandler(rus_block_onInitEventHandler);

--     papa_bear_movement (   Papa Bear)
function papa_bear_movement_onActivateEventHandler(sender, eventArgs)
	slmod.msg_out('This is Papa Bear. We are clear to move out.', 15, 'text', 'red');
end;

--    
mission.model.phases.papa_bear_movement:addOnActivateEventHandler(papa_bear_movement_onActivateEventHandler);	

--  (    , ..        init  )	
mission.controller:start();

--   suppres_sam_1, suppres_sam_2, hitman_movement -      (    ,       .). 
mission.controller:beginPhase('suppres_sam_1');
mission.controller:beginPhase('suppres_sam_2');
mission.controller:beginPhase('hitman_movement');
