
--     Su-25T (  )
function su25t_pilot_onTakeOff(sender, eventArgs)

	-- trigger.action.outText('debug msg: onTakeOffEventHandler has been raised.', 5);

	local _this_unit = sender:getDCSWorldUnit();
	local _this_unit_group = _this_unit:getGroup();
	
	local _task_text = "Aircraft name: " .. _this_unit:getName() .. " (Id number: " .. _this_unit:getID() .. ") has taken off. \n\r\n\r";
	
	_task_text = _task_text .. "Current situation is: \n\r\n\r";
	
	local _situation_text = "";
	local _order_text = "";
	local _order_index = 0;
	local _situation_index = 0;
	
	for _phaseKey, _phase in pairs(mission.model.phases) do
		if (_phaseKey == 'suppres_sam_1' or _phaseKey == 'suppres_sam_2') then
			local _current_situation_text, _current_task_text = _phase:getDescription();
			
			_situation_index = _situation_index + 1;
			_situation_text = _situation_text .. _situation_index .. ". " .. _current_situation_text .. " \n\r";
			
			if (nil ~= _current_task_text) then 
				_order_index = _order_index + 1;
				_order_text = _order_text .. _order_index .. ". " .. _current_task_text .. " \n\r";
			end
		end
	end
	
	if ('' == _situation_text) then _situation_text = "all clear. \n\r"; end
	
	_task_text = _task_text .. _situation_text;
	
	if ('' == _order_text) then _order_text = "You have no orders, pilot. At ease." end
	
	_task_text = _task_text .. "\n\r Orders: \n\r\n\r";
	_task_text = _task_text .. _order_text;
	
	slmod.msg_out_w_unit(_task_text, _this_unit:getName(), 20, "text");
	-- trigger.action.outTextForGroup(_this_unit_group:getID(), "test 2: unit with id: " .. _this_unit:getID() .. " in the air.", 15);
end; 

--     su25t_pilot
mission.model.units.su25t_pilot:addOnTakeOffEventHandler(su25t_pilot_onTakeOff);